.text-danger {
  color: $nlbRedColor !important;

  input {
    border-color: $nlbRedColor !important;
  }
}

bb-login-widget {
  .card {
    border: none !important;
  }
}

.forget-password-label {
  float: right;
}

.login-form {
  color: $gray;

  .input-icon-wrapper {
    //margin-bottom: 8px;
  }

  label {
    margin-bottom: 8px;
  }

  input.form-control {
    height: 48px;
    font-size: 14px;
  }

  .nlb-login-form-group {
    margin-bottom: 56px;

    &.last {
      margin-bottom: 66px;
    }

    &.last.is-invalid-form-group {
      margin-bottom: 28px;
    }

    nlb-login-error-ui {
      .form-group {
        margin-bottom: 8px;
        margin-top: 8px;
      }
    }

    .invalid-feedback {
      font-family: Istok Web, sans-serif;
      margin-top: 8px;
      margin-bottom: 8px;
      font-size: 14px;
      display: flex;
      width: unset;
      align-items: center;
      line-height: 1;
    }

    .forget-password-label {
      display: inherit;
      color: $nlbDarkGreyColor;
      font-family: Istok Web, sans-serif;
      margin-top: 8px;
      margin-bottom: 8px;
    }
  }
}

.cursor-pointer {
  cursor: pointer;
}

.fs-base {
  font-size: $font-size-base;
}

.icon-login-input {
  display: flex;
  /* align-items: center; */
  top: 12px;
  //font-size: 26px;

  right: 1rem;
  //top: 4.3rem;
  //font-size: 22px;
  color: $nlbIndigoColor;
  font-size: 28px;

  &.icon-engaged {
    //top: 14px;
    //top: 20px;
    //font-size: 12px;
    color: $nlbLightGreyColor;
  }
}

.link-label {
  padding-bottom: 1rem;

  a {
    color: darken($nlbMainGreyColor, 20);

    &:hover {
      color: $primary;
    }
  }
}

.ml-n2 {
  margin-left: -0.5rem !important;
}

.nlb-logo {
  background-image: url('../../#{$path-images}/logo_nlb.png');
  background-repeat: no-repeat;
  height: 9.25rem;
  width: 15.75rem;
  background-size: 15.75rem 9.25rem;
}

.login-bck {
  background-image: url('../../#{$path-images}/login-img.jpg');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: right;
  width: 100%;
  height: 0;
  padding-top: 100%; // this will make background behave like img tag
}

.universal-heading {
  &.px-4 {
    padding-left: 0 !important;
    padding-right: 0 !important; //can't override it in cxp
  }

  h1 {
    color: $nlbGreyColor;
  }
}

.img-container-base {
  img {
    //border-radius: 50% 0 0 50%;
    //max-height: 1150px;
    //max-width: 100%;
    //@include media-breakpoint-down(lg) {
    //  max-width: 700px;
    //}
    //
    //@include media-breakpoint-between(lg, xl) {
    //  max-width: 640px;
    //}

    //height: -moz-available;          /* WebKit-based browsers will ignore this. */
    //height: -webkit-fill-available;  /* Mozilla-based browsers will ignore this. */
    //height: stretch;
    //@include clipPath;
    //width: 100%;
  }
}

.img-overlay-container {
  align-items: center;
  display: flex;

  overflow: hidden;
  //float: right;
  //margin: -50px 0;

  position: absolute;
  right: 0;
  min-height: calc(100vh);
  top: 0;
  bottom: 0;

  //-webkit-clip-path: ellipse(80% 88% at 81% 50%);
  //clip-path: ellipse(80% 88% at 81% 50%);

  // for testing START
  //
  //max-height: 1150px;
  //max-width: 1050px;
  //background-color: grey;
  //height: 1150px;
  //width: 955px;
  //border-radius: 50% 0 0 50%;
  //
  // for testing END

  //@media (min-width: 1024px) and (max-width: 1439.98px) {
  //  width: 655px;
  //}
}

@media (min-width: 992px) and (max-width: 1260px) {
  .img-overlay-container {
    img,
    img.img-fluid {
      max-width: 130%;
    }
  }
}

.p-t-6 {
  padding-top: 6rem;
  @include media-breakpoint-down(lg) {
    padding-top: 4rem;
  }
}

.p-t-2 {
  padding-top: 2rem !important;
}

.login-label {
  font-size: 14px !important;
}

.space-container {
  h3,
  h2,
  h1 {
    color: $nlbDarkGreyColor;
    font-family: 'Istok Web', sans-serif;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.26px;
  }

  & > div {
    border-radius: 6px;
  }

  min-height: 125px;
  border-radius: 6px;

  p {
    color: $nlbMainGreyColor;
    font-family: Roboto, sans-serif;
    font-size: 13px;
    font-weight: 300;
    letter-spacing: normal;
    margin-bottom: 0;
  }

  @include media-breakpoint-down(sm) {
    top: 70px;
    //position: absolute;
    max-width: 100%;
    min-height: 30px;
  }

  @include media-breakpoint-up(md) {
    margin-top: 25px;
  }
}

.shadow-box {
  box-shadow: 1px 2px 6px 1px $nlbMainGreyColor;
}

.shadow-box-light {
  box-shadow: 1px 2px 6px 1px $nlbLightGreyColor;
}

.left-container-wrapper {
  //padding-top: 3rem !important;

  max-width: 474px;
  margin: 0 auto 80px;

  @include media-breakpoint-down(sm) {
    padding-top: 60px !important;
  }

  @include media-breakpoint-down(lg) {
    max-width: 350px;
  }

  @include media-breakpoint-up(lg) {
    max-width: 420px; //instead of 474px
  }
}

.footer-info {
  color: $nlbIndigoColor;
  font-weight: bolder;
}

.right-panel-wrapper {
  @include clipPath;

  bb-content-widget {
    span {
      img {
        // Bootstrap's way of making images responsive
        max-width: none !important;
        //height: auto;
      }
    }
  }
}
